export function debug(input: unknown): void {
  console.debug('[Queue]', stringify(input));
}

export function error(input: unknown): void {
  console.error('[Queue]', stringify(input));
}

function stringify(input: unknown): unknown {
  if (typeof input === 'object') {
    input = JSON.stringify(input, null, 2);
  }

  return input;
}
